Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TNonDmlTriggerClause

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TNonDmlTriggerClause

All Implemented Interfaces:
  Visitable

    public class TNonDmlTriggerClause

extends TParseTreeNode

Use this clause to define a single trigger on a DDL or database event.

Constructor Summary
`TNonDmlTriggerClause()`

Method Summary
`TDummyList` | `getDatabase_event_list()`
`TDummyList` | `getDdl_event_list()`
`int` | `getFireMode()` When or how this trigger was fired.
`TObjectName` | `getSchemaName()` It's optional, only valid when `isSchema()` is true.
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`boolean` | `isDatabase()` Specify DATABASE to define the trigger on the entire database.
`boolean` | `isSchema()` Specify SCHEMA to define the trigger on the current schema.
`void` | `setDatabase_event_list(TDummyList database_event_list)`
`void` | `setDatabase(boolean database)`
`void` | `setDdl_event_list(TDummyList ddl_event_list)`
`void` | `setSchema(boolean schema)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TNonDmlTriggerClause

    public TNonDmlTriggerClause()

Method Detail

### getFireMode

    public int getFireMode()

  When or how this trigger was fired.

  Returns:

    `TBaseType.fireMode_before`

    `TBaseType.fireMode_after`

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### isDatabase

    public boolean isDatabase()

  Specify DATABASE to define the trigger on the entire database. The trigger fires whenever any database user initiates the triggering event.

  Returns:

### setDatabase

    public void setDatabase(boolean database)

### setSchema

    public void setSchema(boolean schema)

### isSchema

    public boolean isSchema()

  Specify SCHEMA to define the trigger on the current schema. The trigger fires whenever any user connected as schema initiates the triggering event.

  Returns:

### getSchemaName

    public TObjectName getSchemaName()

  It's optional, only valid when `isSchema()` is true.

  Returns:

### setDatabase_event_list

    public void setDatabase_event_list(TDummyList database_event_list)

### setDdl_event_list

    public void setDdl_event_list(TDummyList ddl_event_list)

### getDatabase_event_list

    public TDummyList getDatabase_event_list()

### getDdl_event_list

    public TDummyList getDdl_event_list()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD